%global pkg_name zip-archive

%global common_summary Haskell %{pkg_name} library

%global common_description The zip-archive library provides functions for creating, modifying,\
and extracting files from zip archives.

%global ghc_pkg_deps ghc-binary-devel, ghc-digest-devel, ghc-mtl-devel, ghc-utf8-string-devel, ghc-zlib-devel

Name:           ghc-%{pkg_name}
Version:        0.1.1.7
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires: hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

install -p -m 0644 COPYING %{buildroot}%{_docdir}/%{name}-%{version}


%ghc_lib_package


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.1.1.7-2
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.7-1
- update to 0.1.1.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.6-5
- update to cabal2spec-0.22.4

* Tue Dec 21 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-4
- install COPYING instead

* Fri Dec 10 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-3
- include the COPYING file (#652573)

* Thu Dec  2 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-2
- also depends on binary (#652573)

* Thu Dec  2 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-1
- GPLv2+
- depends on digest, mtl, utf8-string, zlib

* Fri Nov 12 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.1.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
